<?xml version="1.0" encoding="utf-8"?>
<com.qmuiteam.qmui.widget.QMUIWindowInsetLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/app_color_blue"
    android:fitsSystemWindows="true"
    android:orientation="vertical"
    tools:context=".modules.mine.fragment.from.UserActivity">

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginTop="?attr/qmui_topbar_height"
        android:background="@color/qmui_config_color_white">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@color/main_background"
            android:orientation="vertical">

            <!-- 物料信息管理 -->
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:background="@color/qmui_config_color_white"
                android:orientation="vertical"
                android:paddingLeft="@dimen/dp_10"
                android:paddingTop="@dimen/dp_10"
                android:paddingRight="@dimen/dp_10">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_alignParentBottom="true"
                    android:layout_marginTop="5dp"
                    android:layout_marginBottom="5dp">

                    <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerVertical="true"
                        android:layout_marginLeft="10dp"
                        android:text="(温馨提示:点击行可修改内容.)"
                        android:textColor="@color/amber_primary_dark"
                        android:textSize="12dp" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content">

                        <RelativeLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content">

                            <LinearLayout
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_alignParentRight="true"
                                android:orientation="horizontal">

                                <Button
                                    android:id="@+id/add_wl"
                                    android:layout_width="100dp"
                                    android:layout_height="26dp"
                                    android:layout_alignParentRight="true"
                                    android:layout_centerInParent="true"
                                    android:layout_marginLeft="@dimen/dp_10"
                                    android:background="@drawable/bg_btn_login_selected"
                                    android:text="+增加用户"
                                    android:textColor="@color/white"
                                    android:textSize="14dp" />

                                <Button
                                    android:id="@+id/synchronous"
                                    android:layout_width="100dp"
                                    android:layout_height="26dp"
                                    android:layout_alignParentRight="true"
                                    android:layout_centerInParent="true"
                                    android:layout_marginLeft="@dimen/dp_10"
                                    android:background="@drawable/button1"
                                    android:text="同步云端"
                                    android:textSize="14dp"
                                    android:visibility="gone" />
                            </LinearLayout>

                        </RelativeLayout>

                    </LinearLayout>

                </LinearLayout>

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginTop="5dp">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:orientation="vertical">
                        <!-- 表头 -->
                        <RelativeLayout
                            android:layout_width="match_parent"
                            android:layout_height="36dp"
                            android:background="@color/datatab_tab">

                            <TableLayout
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:layout_centerVertical="true"
                                android:layout_gravity="center"
                                android:gravity="center"
                                android:stretchColumns="0">

                                <TableRow
                                    android:layout_width="fill_parent"
                                    android:layout_height="wrap_content"
                                    android:gravity="center_horizontal">

                                    <RelativeLayout
                                        android:layout_width="0dp"
                                        android:layout_height="wrap_content"
                                        android:layout_weight="1">

                                        <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                                            android:layout_width="match_parent"
                                            android:layout_height="wrap_content"
                                            android:layout_alignParentLeft="true"
                                            android:layout_marginLeft="20dp"
                                            android:text="用户名称"
                                            android:textAlignment="center"
                                            android:textColor="@color/white"
                                            android:textStyle="bold" />
                                    </RelativeLayout>

                                    <RelativeLayout
                                        android:layout_width="0dp"
                                        android:layout_height="wrap_content"
                                        android:layout_weight="1">

                                        <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                                            android:layout_width="match_parent"
                                            android:layout_height="wrap_content"
                                            android:layout_alignParentLeft="true"
                                            android:layout_marginLeft="20dp"
                                            android:text="用户账号"
                                            android:textAlignment="center"
                                            android:textColor="@color/white"
                                            android:textStyle="bold" />
                                    </RelativeLayout>

                                    <RelativeLayout
                                        android:layout_width="0dp"
                                        android:layout_height="wrap_content"
                                        android:layout_weight="1">

                                        <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                                            android:layout_width="match_parent"
                                            android:layout_height="wrap_content"
                                            android:layout_alignParentLeft="true"
                                            android:layout_marginLeft="20dp"
                                            android:text="用户密码"
                                            android:textAlignment="center"
                                            android:textColor="@color/white"
                                            android:textStyle="bold" />
                                    </RelativeLayout>

                                    <RelativeLayout
                                        android:layout_width="0dp"
                                        android:layout_height="wrap_content"
                                        android:layout_weight="1">

                                        <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                                            android:layout_width="match_parent"
                                            android:layout_height="wrap_content"
                                            android:layout_alignParentLeft="true"
                                            android:layout_marginLeft="20dp"
                                            android:text="操作"
                                            android:textAlignment="center"
                                            android:textColor="@color/white"
                                            android:textStyle="bold" />
                                    </RelativeLayout>
                                </TableRow>
                            </TableLayout>
                        </RelativeLayout>
                        <!-- 数据 -->
                        <RelativeLayout
                            android:layout_width="match_parent"
                            android:layout_height="match_parent">
                            <ListView
                                android:id="@+id/datatab"
                                android:layout_width="match_parent"
                                android:layout_height="match_parent" />
                        </RelativeLayout>
                    </LinearLayout>
                </RelativeLayout>
            </LinearLayout>
        </LinearLayout>
    </RelativeLayout>

    <com.qmuiteam.qmui.widget.QMUITopBarLayout
        android:id="@+id/topbar"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/app_color_blue" />
</com.qmuiteam.qmui.widget.QMUIWindowInsetLayout>